\chapter{People}
\label{chapter:people}

In this section we present comments and feedback from DebConf attendees,
some in the form of excerpts of blog posts and some feedback which was
given personally.  Thank you to everyone in this section for allowing
us to quote them.

\section{Personal Impressions}
\label{sec:personal_impression}

% Sledge - asked Martin for permission to use 2007/12/06
% Sledge - and got it 2007/12/06
\person{Martin F. Krafft\footnote{\url{http://blog.madduck.net/debian/2007.06.25\_debconf7}}}{}

DebConf7 has been unlike other DebConfs for me in
two respects: this was the first time I actually went to DebCamp, the
week leading up to the conference, which is designated to teams and
individuals with development goals to achieve during the week. And I was
also actively involved in the organisation of the conference, which was
unexpected, but a very good experience I am not going to miss next
year. 

My goal for the conference was netconf and I made good progress until
I ran into a wall on Tuesday and had to back off and rethink my
design. Reinhart Tartler and Enrico Zini dedicated their time to
listen to my design and the problems and helped me clear the mess up
and helped me reduce complexity and converge on a straight-forward,
event-based design.

%\begin{quotation}
%\textbf{\dots I was also actively involved in the organisation of the
%  conference, which was unexpected, but a very good experience I am not
%  going to miss next year.}
%\end{quotation}

Somewhere in the middle of the conference, Keith Packard took hostage
of (and fixed parts of) my broken X40 laptop, but that's the meat of
another story. And on some other night, our leader Sam, in his
official capacity as DPL, presented me with the instantiation of my
innermost desires as consolation for my hospital stay: a pony. Just
look at that smile!

\begin{figure}[h]
\includegraphics[width=\columnwidth]{images/people/madduck-pony}
\imcap{Martin and his pony}
\end{figure}

I'll be back in Argentina, unless something goes seriously wrong. And
I'll be on the orga-team again. Thanks to everyone who made DebConf7
possible. I am proud to have been able to contribute, but the real
work was done by a few others. You know who you are.

% Sledge - asked for permission to use 2007/12/06
\person{David Nusinow\footnote{\url{http://gravityboy.livejournal.com/35787.html}}}{}

My first DebConf was probably the best single week of my entire
life. Yeah, it was that awesome.

I got the privilege of giving my talk and BoF to fairly full
audiences, particularly the former. The BoF was on maintaining
packages with git. I didn't expect more than 10 people to show, but
more than 5 times that did express interest, so many that they moved
it to the main lecture hall instead of the small discussion room that
it was going to be in originally. I hadn't really planned out how to
handle an audience like that, and while I managed to get other people
in the audience talking (thanks in particular to Madduck, MadCoder,
and keithp for adding so much to the discussion) I felt like I had to
fumble through a lot of it. That's the nature of a BoF I guess. I also
gave a talk on my plans for the XSF for the Lenny release. I'll talk
about that stuff in future blog posts (some of which are overdue) but
I will say that it was surprisingly well attended given that it was
scheduled for 9:45 am after one of the usual nights of drinking and
hacking until dawn.

\begin{quotation}
\textbf{\dots DebConf was probably the best single week of my entire
life.\dots}
\end{quotation}

I won't talk about all the stuff that happened, because that would
just take too long. The most important thing was that I got to see a
number of old friends again and spend more time with them in one run
than ever before. That alone was really enormous for me. On top of
that was the pleasure of finally meeting so many people in person. I
met a few XSF members finally, including Julien Cristau, my partner in
crime. There's no way I could possibly list everyone that I'm so
thankful to have finally met. There was one very memorable evening in
the night venue where it was largely the same crowd who's usually in
\#debian-devel when I'm on, and we all just couldn't stop cracking
jokes and laughing (not to mention ITP'ing absurd programs). There was
another night when Old World Cambridge collided with New World
Cambridge, and much Pimm's was had by (almost) all. There was staying
up until 5 in the morning and stumbling back to the hostel in the dawn
to try and get some sleep before running back to the conference. The
most delightful thing about all this was that so many people I already
knew and loved were there, and everyone who I hadn't met in person
before turned out to be even better in real life. It was like a week
of the purest joy.

%\begin{quotation}
%\textbf{\dots was probably the best single week of my entire life}
%\end{quotation}

I have to echo others and give a big thank you to the organizers. You
guys did a great job, and really made a great conference out of it. I
learned a lot, laughed even more, and drank even more than that and I
can't wait to do it again.

% http://gravityboy.livejournal.com/35787.html

% Sledge - asked for permission to use 2007/12/06
% Sledge - and got it 2007/12/06
\person{Martin Ferrari\footnote{\url{http://howtorecognise.mine.nu/2007/07/09/index.html}}}{}

Finally I'm at Teviot, keeping up with mail and hacking a little. The
place is wonderful, as is the hostel. The whole city seems taken from
a fairy tale.

This is the first time I've also attended DebCamp, and it was very
useful. I managed to do what I planned, that is talk with many people
who are working on debian-cd, debian-installer and custom-cdds.

% PERMISSION: Confirmed to mhy in IRC
\person{Chris Lamb\footnote{\url{http://www.chris-lamb.co.uk/blog/2007/07/17/updates/}}}{}

DebConf 7 was just awesome: It was great to meet up with hendry, daniel, 
otavio and marco from the Debian Live crew, as well as countless others.

% http://www.chris-lamb.co.uk/blog/2007/07/17/updates/

% Sledge - asked for permission to use 2007/12/06
% Sledge - and got it 2007/12/06
\person{Eric Dorland\footnote{\url{http://ze-dinosaur.livejournal.com/18405.html}}}{}

DebConf 7 was fantastic, doubly so since I got to share it. My BoF was
not that popular (which is what I expected) but people were interested
and audience participation was high, so I was pleased. I sort of divided
my time between the conference and being a tourist, so I hope no one
felt like I was ignoring them. Edinburgh was an amazing city, really
very beautiful. It felt good to be connected with this place (my mother
was born in Perth, not too far away).

% http://ze-dinosaur.livejournal.com/18405.html

% Sledge - asked for permission to use 2007/12/06
\person{Tom Marble\footnote{\url{http://blogs.sun.com/tmarble/entry/debconf7}}}{}

In a continuing example of why attending these conferences is great I
got to spend some time discussing the future of Xorg with Debian's
maintainer, David Nusinow. We talked about how to work around the
infamous XCB bug with Java and also about the future of X including
OpenGL support.

% http://blogs.sun.com/tmarble/entry/debconf7

% Sledge - asked for permission to use 2007/12/06
% Sledge - and got it 2007/12/06
\person{Martin Man\footnote{\url{http://martinman.net/2007/06/19/debconf-2007-edinburgh-scotland/}}}{}

The seventh annual Debian Conference has been organized in the
beautiful city of Edinburgh. And not only that, the conference venue
is located just next to the city center, in a old comfortable and
friendly place that has got its own atmosphere.

I have met here a lot of really interesting (and famous --- in the
world of Debian/GNU Linux) people. My impression is that the
atmosphere was just amazing, very friendly, open, productive,...

%\begin{quotation}
%\textbf{\dots the atmosphere was just amazing, very friendly, open,
%  productive\dots}
%\end{quotation}

% http://martinman.net/2007/06/19/debconf-2007-edinburgh-scotland/

\begin{figure}[h]
\includegraphics[width=\columnwidth]{images/people/edinburgh.png}
\end{figure}

% Maulkin - asked for permission to use 2007/12/06
% maulkin - received 2007-12-06
\person{Andrew Pollock\footnote{\url{http://blog.andrew.net.au/2007/06/23\#dc7\_package\_work}}}{}

So DebConf 7 has been good. Very good. I suck at writing up such
events, but I found it a great opportunity to hack on my packages. I
got my laptop setup so I could work moderately effectively offline
(there's still more I can do), and I was able to work on the DHCP 3
packages fairly heavily.

Due to various talks about git, I've also gotten over my fear of it,
and had a play. It still fries my brane big time, but at least I've
had a play.

% http://blog.andrew.net.au/2007/06/23#dc7_package_work

\begin{quotation}
\textbf{\dots Debian developers could be heard discussing the finer
  points of programs they maintain and use and ways things could be
  improved\dots}
\end{quotation}

% Maulkin - asked for permission to use 2007/12/06
% maulkin - received 2007-12-06
\person{David Graham\footnote{\url{http://www.linux.com/feature/115188}}}{}

Throughout the conference, socialising Debian developers could be
heard discussing the finer points of programs they maintain and use
and ways things could be improved. Sometimes a laptop would open and
something would get fixed on the spot.

% Maulkin - asked for permission to use 2007/12/06
% maulkin - received 2007-12-06
\person{Michael Schultheiss}{}

DebConf 7 was the first DebConf I attended.  I had an excellent time and
attended numerous informative and interesting talks.  The day trip to
the Isle of Bute was great fun as well.  Although I missed participating
in the SPI panel on Sunday, June 17, I did make it to Edinburgh in time
for the first ever in-person SPI board meeting on Monday, June 18.  It
was a great experience.  I enjoyed meeting the SPI board members in
person as well as Debian Developers and enthusiasts.  I look forward to
attending additional DebConfs in the future and encourage everyone to
experience DebConf - they won't regret it!

\section{Demographics}
Our conference is aimed at making Debian better, providing a proper
environment where intensive work sessions can take place. Our direct
target audience is, of course, the official Debian Developers
(DDs) spread all around the world. Debian does, however, get important
contributions from people who have not yet completed the Debian New
Maintainer process, as well as from people whose strongest ties are
with other, related projects. And, of course, we are interested in
growing, so interested non-maintainers and volunteers are more than
welcome to share with us. Together with the non-DD maintainers,
over half of the attendees are already active in Debian. 

\vspace{1em}
{ \scriptsize
 \begin{tabular}{cl}
   \hline
   \textbf{participants} & \textbf{Status} \\
   \hline
187&Debian Developer              \\ 
157&Non-maintainer but interested \\ 
81&Non-DD maintainer              \\ 
31&Volunteer                      \\ 
26&Accompanying                   \\ 
 8&Organiser                      \\ 
 6&Sponsor                        \\ 
 2&Press                          \\ 
   \hline
 \end{tabular}\vspace{1em}
}

The diversity in Debian can be very well represented by the food
requirements expressed by the attendees. Quite a bit of planning
goes into assuring that everybody gets food appropriate for their health and
ethical standards:

\vspace{1em}
{ \scriptsize
 \begin{tabular}{cl}
   \hline
   \textbf{participants} & \textbf{Food requirement} \\
   \hline
   221&Regular                   \\ 
    45&Vegetarian\\
    10&Vegan (strict vegetarian)\\ 
     4&Other\\ 
   \hline
 \end{tabular}\vspace{1em}

The unlisted people decided to eat outside of the DebConf venue.
}


The attendees of DebConf come from every possible corner of the world,
sometimes taking travel times of 24 hours and more just to attend this
conference.

\vspace{1em}
{ \scriptsize
 \begin{tabular}{cl}
   \hline
   \textbf{participants} & \textbf{Country of origin} \\
   \hline
65&United Kingdom           \\
34&Germany                  \\
30&United States of America \\
22&Venezuela                \\
14&Spain                    \\
12&France                   \\
12&Finland                  \\
10&Brazil                   \\
 9&Mexico                   \\
 8&Sweden                   \\
 8&Argentina                \\
 7&Colombia                 \\
 6&Australia                \\
 6&Norway                   \\
 5&Netherlands              \\
 5&India                    \\
 4&El salvador              \\ 
 4&Switzerland              \\ 
 4&Italy                    \\ 
 3&Denmark                  \\ 
 3&Portugal                 \\ 
 3&Bosnia and Herzegowina   \\ 
 3&Austria                  \\ 
 2&Belgium                  \\ 
 2&Taiwan                   \\ 
 2&Hungary                  \\ 
 2&Greece                   \\ 
 2&Bangladesh               \\ 
 2&Czechia                  \\ 
 1&Israel                   \\ 
 1&Croatia                  \\ 
 1&Chile                    \\ 
 1&Canada                   \\ 
 1&Bolivia                  \\ 
 1&Luxembourg               \\ 
 1&Japan                    \\ 
 1&Slovenia                 \\ 
 1&Ireland                  \\ 
 1&New zealand              \\ 
 1&Latvia                   \\ 
 1&Romania                  \\ 
   \hline
 \end{tabular}\vspace{1em}

The other attendees did not list a country of origin. 
}


%%\begin{figure}[h]
%%\includegraphics[width=11cm]{images/graphs/continents}
%%\end{figure}



% Keep this at the bottom, thanks.
% Local Variables:
% TeX-master: "dc7-report"
% End:
